      subroutine ab_ratio_slice (ratio, Istr,Iend, j)      


      use Agrif_Util
#include "Param_BeforeCall_ab_ratio_slice.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: j
      real, dimension(Istr-2:Iend+2,0:N) :: ratio
      

        call Sub_Loop_ab_ratio_slice(ratio,Istr,Iend,j, Agrif_tabvars_i(
     &14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarra
     &y0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(146)%array3, Agrif_t
     &abvars_i(153)%iarray0, Agrif_tabvars(148)%array5)

      end


#include "Sub_Loop_ab_ratio_slice.h"
